処理トランザクションを作成します
curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*+json' \
--data '
{
"skillId": "<string>",
"generateMobileInputLink": false,
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
],
"skillParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions"
payload = {
"skillId": "<string>",
"generateMobileInputLink": False,
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
],
"skillParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*+json'},
body: JSON.stringify({
skillId: '<string>',
generateMobileInputLink: false,
registrationParameters: [{key: '<string>', value: '<string>'}],
skillParameters: [{key: '<string>', value: '<string>'}]
})
};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isShortLink": true,
"mobileInputLink": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}Transactions
処理トランザクションを作成します
複数のファイルを処理するためのトランザクションを作成します。
POST
/
api
/
publicapi
/
v1
/
transactions
処理トランザクションを作成します
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/*+jsonapplication/jsonapplication/json-patch+jsontext/json
トランザクション作成用 Parameter
ファイルに適用する Skill のID
Minimum string length:
1モバイル入力を起動し、ワンタイム認証トークンを使用して特定のトランザクションに画像を取り込むためのURLを生成します
トランザクションの追加登録用Parameter
Maximum array length:
10Show child attributes
Show child attributes
トランザクション向け Skill Parameter
Maximum array length:
10Show child attributes
Show child attributes
このページは役に立ちましたか?
⌘I
